aboutsummaryrefslogtreecommitdiff
path: root/watch
diff options
context:
space:
mode:
Diffstat (limited to 'watch')
-rwxr-xr-xwatch13
1 files changed, 13 insertions, 0 deletions
diff --git a/watch b/watch
new file mode 100755
index 0000000..802c503
--- /dev/null
+++ b/watch
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+python -m http.server --directory public 8000 &
+
+trap "fuser -k 8000/tcp" EXIT
+
+CMD="clear && wasm-pack build --target web"
+
+while true; do
+
+ find src | entr -d -s "$CMD"
+
+done